cURL
curl --request POST \
--url https://api.soca.ai/v1/chat/{agent_id} \
--header 'Content-Type: application/json' \
--header 'private_key: <api-key>' \
--data '
{
"prompt": "<string>",
"session_id": "<string>"
}
'import requests
url = "https://api.soca.ai/v1/chat/{agent_id}"
payload = {
"prompt": "<string>",
"session_id": "<string>"
}
headers = {
"private_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {private_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>', session_id: '<string>'})
};
fetch('https://api.soca.ai/v1/chat/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data": {
"status": 123,
"message": "<string>",
"data": "<string>"
}
}{
"message": "<string>",
"status": true
}Chats
Send Message
This endpoint is used to send a prompt (command or question) to the message processing system and retrieve its response.
POST
/
chat
/
{agent_id}
cURL
Authorizations
Path Parameters
The unique identifier of a Soca AI agent created in the Studio.
Body
application/json
Message payload to be sent to the AI Agent.
⌘I